Bug 101722 - No way to turn off WEP
Summary: No way to turn off WEP
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-06 06:17 UTC by Jan Rychter
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 10:06:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Rychter 2003-08-06 06:17:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
There is no way to disable WEP. The program insists on there being an encryption
key. Leaving the encryption key empty still results in iwconfig being called
with an 's:' encryption key, thus turning on encryption.

Setting the key to 'off' also has no effect.

This is with a Cisco Aironet 350 card.



Version-Release number of selected component (if applicable):
redhat-config-network-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
1. Try configuring a wireless card without an encryption key.
2. Observe the encryption getting turned on anyway.

    

Additional info:

Comment 1 Harald Hoyer 2003-08-06 09:00:57 UTC
should be fixed in 1.2.14 from:
http://people.redhat.com/harald/redhat-config-network/

Comment 2 Jan Rychter 2003-08-07 05:37:07 UTC
1.2.14 indeed fixes the WEP problem. I can now activate a device without WEP.

However, "Network Device Control" shows no devices configured, even though
"Network Configuration" shows my devices and profiles just fine. But perhaps
that merits opening another bug.


Comment 3 Harald Hoyer 2003-08-07 07:43:46 UTC
it will not show wireless devices if started as non-root, because it cannot read
the config file. the config file is only readable by root, because it normally
contains the KEY, which should be secret. Ok, in your case this does not make
sense :)

Comment 4 Harald Hoyer 2004-06-04 10:06:49 UTC
Closing due to inactivity. Reopen, if the problem is still existing.


Note You need to log in before you can comment on or make changes to this bug.